<?php

/**
 * @file
 * Actions module support for revision moderation module.
 */

/**
 * Implementation of a Drupal action; enables revision moderation
 * on a node.
 */
function action_revision_moderation_enable($op, $edit = array(), &$node) {
  switch ($op) {
    case 'metadata':
      return array(
        'description' => t('Enable revision moderation on node'),
        'type' => t('Node'),
        'batchable' => true,
        'configurable' => false,
      );
      break;
    case 'do':
      $node->revision_moderation = 1;
      // Also enable "Create new revisions" option, in case it isn't yet.
      $node->revision = 1;
      node_save($node);
      break;
  }
}

/**
 * Implementation of a Drupal action; disables revision moderation
 * on a node.
 */
function action_revision_moderation_disable($op, $edit = array(), &$node) {
  switch ($op) {
    case 'metadata':
      return array(
        'description' => t('Disable revision moderation on node'),
        'type' => t('Node'),
        'batchable' => true,
        'configurable' => false,
      );
      break;
    case 'do':
      $node->revision_moderation = 0;
      node_save($node);
      break;
  }
}
